org.apache.fop.render.pdf.pdfbox

## Class ImagePDF

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImage
  - - org.apache.fop.render.pdf.pdfbox.ImagePDF

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.Image

      public class ImagePDF
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImage

  Represents a PDF document as an image.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MIME_PDF` MIME type for PDF
    `static org.apache.xmlgraphics.image.loader.ImageFlavor` | `PDFBOX_IMAGE` ImageFlavor for PDF

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImagePDF(org.apache.xmlgraphics.image.loader.ImageInfo info, org.apache.pdfbox.pdmodel.PDDocument doc)` Create an PDF image with the image information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `org.apache.xmlgraphics.image.loader.ImageFlavor` | `getFlavor()`
    `org.apache.pdfbox.pdmodel.PDDocument` | `getPDDocument()` Returns the root PDDocument instance representing the PDF image.
    `boolean` | `isCacheable()`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage

      `getColorSpace, getICCProfile, getInfo, getSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MIME_PDF

          public static final java.lang.String MIME_PDF

      MIME type for PDF
      See Also:
        Constant Field Values

    - #### PDFBOX_IMAGE

          public static final org.apache.xmlgraphics.image.loader.ImageFlavor PDFBOX_IMAGE

      ImageFlavor for PDF

  - ### Constructor Detail

    - #### ImagePDF

          public ImagePDF(org.apache.xmlgraphics.image.loader.ImageInfo info,
                          org.apache.pdfbox.pdmodel.PDDocument doc)

      Create an PDF image with the image information.
      Parameters:
        `info` - the information containing the data and bounding box
        `doc` - the PDF document

  - ### Method Detail

    - #### getPDDocument

          public org.apache.pdfbox.pdmodel.PDDocument getPDDocument()

      Returns the root PDDocument instance representing the PDF image.
      Returns:
        the root PDDocument

    - #### getFlavor

          public org.apache.xmlgraphics.image.loader.ImageFlavor getFlavor()

    - #### isCacheable

          public boolean isCacheable()

    - #### close

          public void close()

Copyright 2007-2023 The Apache Software Foundation. All Rights Reserved.